import { HeAggregationEngineService } from '../../engine/aggregation-engine.service';
import { HeEngineService } from '../../engine/engine.service';
import { NodeKeyState, blankNode } from '../node-utils';
import * as i0 from "@angular/core";
export declare class BlankNodeStateComponent {
    private aggregationEngineService;
    private engineService;
    private nodeType?;
    private dataKey?;
    private key?;
    node?: blankNode;
    /**
     * Force override state.
     */
    state?: NodeKeyState;
    NodeKeyState: typeof NodeKeyState;
    constructor(aggregationEngineService: HeAggregationEngineService, engineService: HeEngineService);
    is(state: NodeKeyState): any;
    get stars(): number[];
    get showLink(): boolean;
    private get aggregatedModelParams();
    get aggregatedModel$(): import("rxjs").Observable<import("../../engine/aggregation-engine.service").IAggregationModel>;
    get engineModel$(): import("rxjs").Observable<import("../../engine/engine.service").IModel>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BlankNodeStateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BlankNodeStateComponent, "he-blank-node-state", never, { "nodeType": "nodeType"; "dataKey": "dataKey"; "key": "key"; "node": "node"; "state": "state"; }, {}, never, never>;
}
